// Constraint Dependency Grammatik-Fragment fuer das Deutsche
// ----------------------------------------------------------

// Johannes Heinecke, HU 15.12.1998
// Andreas Nolda, HU, 1998-12-15

// sorten13: `Verbfelder' unter `situation' eingebaut
// sorten12: Sorte ``profession'' eingefgt
// sort11: Zeit-Sorten hierarchisiert
// sort10: Sorten ``illocution'' eingef"ugt
// sort8: Sorte ``food'' testweise eingefgt
// sort7: Sorte ``mode'' eingefgt
// sort6: Sorte ``grade'' eingefgt
// sort5: Sorte `title' eingef"ugt
// sort4: Sorte `date' eingef"ugt


// Sorten
// ------


ont ->
any 
  (entity 
     (object
        (animate (human (profession), animal),
         inanimate (thing, food, vehicle)
         ),        
      situation(
            state(
              existence,   % Existenz,
              measure,     % Massverben,
              owning),      % Besitzzustand,
            process(
              movement,    % Bewegung,
              ownerchange, % Besitzwechsel,
              utter,       % Verba Dicendi,
              judgement,   % Verben der propos. Einstellung
                                 % `ich finde, dass...'
              perception)  % Verba Sentiendi,
      )),
   localization
      (spatial (distance, place (building)),
       temporal
         (time (hour),
          date (month, week, day(weekday), period)
         )
      ),
   concept,
   illocution
      (question, statement, command),
   grade,
   mode, % Satzadv (`wahrscheinlich', `notwendigerweise', `vielleicht', ...)
   title);


// --------------------------------- EOF ---------------------------------
