#!/usr/bin/env perl
# cdg/grammar/negra/find-unknown-names.pl

use warnings;
use strict;

# find names in corpus
our %names;
our $id = '';
open(IN, "Auto-Anno.cdg") or die "Can't read `Auto-Anno.cdg': $!\n";
while(<IN>) {
  if(/\b(s\d+)\b.*<->/) {
    $id = $1;
  }
  if(/^ *\d+ +\d+ +(\S.+\S) +SYN.+cat\/NE/) {
    my $name = $1;
    $name =~ s/^\'(.+)\'$/$1/;
    push @{$names{$1}}, $id;
  }
}
close(IN);

# find names in grammar
our %known;
my $filename = "Namen.txt";
open(IN, $filename)
  or die "Can't read `$filename': $!\n";
while(<IN>) {
  if(/^ *(Firma|Vorname|Nachname|Region|Produkt) +(\S+)/) {
    $known{$2}++;
  }
}
close(IN);

# find unkown names
for(sort keys %names) {
  if(!exists $known{$_}) {
    print "$_ (@{$names{$_}})\n";
  }
}
