#!/bin/bash
# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# cdg/grammar/penn/test-transform-sentence.pl

n=$1
rm -f s$n-stage*

HILITE=`which hilite`

$HILITE ../../utils/depsy.pl -range $n -max 1 -debug \
 -annos s$n-annos.cdg \
 -prefix 's' \
 -annoprefix 'auto-s' \
 -extralevels REF \
 -plugin pennplugin.pl \
  /data/corpus/penn/parsed/export/wsj/00.export

# unmatched globs should reduce to ""
shopt -s nullglob
for x in s$n-stage*export; do
  ../../utils/negra2png.pl -n -m < $x > ${x%%export}png
  rm $x
done
for x in s$n-stage*cda; do
  ../../utils/cdg2png.pl < $x > ${x%%cda}png
  rm $x
done

kview  s$n-*.png 2>/dev/null
