#!/usr/bin/perl -p

# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# eins bis zwlf
s/( )(eins|zwei|drei|vier|fnf|sechs|sieben|acht|neun|zehn|elf|zwlf)( |$)/$1EINSZWOELF($2)$3/g;
# dreizehn bis vierundzwanzig
s/\b(dreizehn|vierzehn|fnfzehn|sechzehn|siebzehn|achtzehn|neunzehn|zwanzig|einundzwanzig|zweiundzwanzig|dreiundzwanzig|vierundzwanzig)\b/DREIZEHNVIERUNDZWANZIG($1)/g;

# viertel vor zwlf, halb neun, viertel nach drei
s/(^| )((viertel( +vor| +nach)?)|halb|dreiviertel)( +)EINSZWOELF\(([^\)]+)\)/$1ZEIT($2$5$6)/g;

# 
s/(^| )(zehn|fnfzehn|zwanzig|dreiig|vierzig|fnfundvierzig|fnfzig)( |$)/$1MIN($2)$3/g;

# zehn nach eins, zwanzig vor sechs
s/(^| )EINSZWOELF\((zehn)\)( +)(vor|nach)( +)EINSZWOELF\(([^\)]+)\)( |$)/$1ZEIT($2$3$4$5$6)$7/g;
s/(^| )DREIZEHNVIERUNDZWANZIG\((fnfzehn|zwanzig)\)( +)(vor|nach)( +)EINSZWOELF\(([^\)]+)\)( |$)/$1ZEIT($2$3$4$5$6)$7/g;
s/(^| )MIN\(([^\)]+)\)( +)(vor|nach)( +)EINSZWOELF\(([^\)]+)\)( |$)/$1ZEIT($2$3$4$5$6)$7/g;

# ein Uhr zehn
s/(ein +Uhr)(( +)MIN\(([^\)]+)\))?\b/ZEIT($1$3$4)/g;
s/EINSZWOELF\(([^\)]+)\)( +Uhr)(( +)MIN\(([^\)]+)\))?( |$)/ZEIT($1$2$4$5)$6/g;
s/DREIZEHNVIERUNDZWANZIG\(([^\)]+)\)( +Uhr)(( +)MIN\(([^\)]+)\))?( |$)/ZEIT($1$2$4$5)$6/g;

# eins, zwei 
s/EINSZWOELF\(([^\)]+)\)/ZEIT($1)/g;

# reject dreizehn...
s/DREIZEHNVIERUNDZWANZIG\(([^\)]+)\)/$1/g;

# ZEIT aus ZEIT-Struktur entfernen
s/ZEIT\(([^\)]*)ZEIT\(([^\)]*)\)([^\)]*)\)/ZEIT($1$2$3)/g;

# Spaces hinter und vor ZEIT-Klammern
s/ZEIT\(([^\)]*)\)/(ZEIT $1)/g;
s/\(ZEIT ([^\)]*)\)/(ZEIT $1 ZEIT)/g;
s/\(ZEIT +/\(ZEIT /;
s/ +ZEIT\)/ ZEIT\)/;
