/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: frobbing.h,v 1.38 2005-12-01 16:19:02 micha Exp $
 */

/*
 * File: frobbing.h
 * Author: Kilian Foth
 * Purpose: header file for frobbing
 * Birth: 6/5/97
 * 
 */

#ifndef FROBBING_H
#define FROBBING_H

/* ---------------------------------------------------------------------- */
#include <blah.h>
#include "input.h"
#include "lexemgraph.h"
#include "constraintnet.h"
#include "levelvalue.h"
#include "eval.h"
#include "transform.h"


typedef void FrobFunction();

/* method of transformation */
typedef struct {
  String id;                          /* identifying name */
  FrobFunction *repair;               /* transformation function */
  String doc;                         /* short help */
} FrobMethod;

/* -- VARIABLES --------------------------------------------------------- */

/* holds all known frob strategies */
extern FrobMethod frobMethods[];

/* ---------------------------------------------------------------------- */

/* -- FUNCTIONS --------------------------------------------------------- */

/* entry points for the module frobbing */
extern Boolean frobbing(int no, char **args);
extern void frobbingFinalize(void);

extern void frobSetAgendaSize(int x);
extern void frobSetBeamWidth(int x);
extern void frobSetPressure(Number x);
extern void frobInitialize();

/* ---------------------------------------------------------------------- */
#endif /* don't insert anything after this #endif */
