/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 */

/*
 * File: parsing.h
 * Author: Ingo Schroeder
 * Purpose: Header file for parser
 * Birth: 10/2/97
 *
 * $Id: parsing.h,v 1.9 2005-12-01 16:19:04 micha Exp $
 */

#ifndef PARSING_H
#define PARSING_H

/* ---------------------------------------------------------------------- */
#include <input.h>

/* ---------------------------------------------------------------------- */

/*
 * Number of parse errors and warnings;
 * defined in parser.y
 */
extern int parseNoOfErrors;
extern int parseNoOfWarnings;

#ifndef SWIG

/*
 * Current line number in parseCurrentFile;
 * defined in scanner.l
 */
extern int parseLineNo;

/*
 * Current file name;
 * defined in scanner.l
 */
extern String parseCurrentFile;

/*
 * defined in parser.tab.c
 */
extern FILE *yyin;

/*
 * defined in parser.tab.c
 */
extern FILE *yyout;

/*
 * Result of parsing an input file;
 * defined in parser.y
 */
extern Input parseResult;

/* ---------------------------------------------------------------------- */
extern int yyparse();               /* defined in parser.tab.c */
extern void yyrestart( FILE *f );   /* defined in lex.yy.c */
extern int yylex();
extern void yyerror( char *s );
extern void yywarning( char *s );
#endif

/* ---------------------------------------------------------------------- */

#endif /* don't insert anything after this #endif */

