/*

    The BLAH library, a container library
    Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    
    Contact: blah@nats.informatik.uni-hamburg.de

    $Id: blah.c,v 1.3 2005-12-01 16:20:13 micha Exp $
    
*/

/* ----------------------------------------------------------------------------
 * @addtogroup Blah Main module
 *
 * This is the main module for the BLAH library. By now it provides the
 * initialization and finalization of the library. So call blahInitialize()
 * before using any functions of this library. You might want to call
 * blahFinalize() before exiting your application. 
 *
 * @{
 */
#include "blah.h"

/* ----------------------------------------------------------------------------
 * initialize the blah library.
 * This will call the initlialization routines of those modules that need
 * to be initialized at application start.
 */
void blahInitialize(void)
{
  strInitialize();
}
  
/* ----------------------------------------------------------------------------
 * finalize the blah library.
 * This will call the finalization routines of those modules that might need a
 * finalization.
 */
void blahFinalize(void)
{
  strFinalize();
}
  
/* ------------------------------------------------------------------------- */
/** @} */
