/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifdef HAVE_CONFIG_H
  #include <config.h>
#endif

#include <assert.h>
#include <string.h>
#include <blah.h>
#include <math.h>

//#define VERBOSE

int main(int argc, char **argv)
{
  String str;
  int i;

  blahInitialize();

  str = strCat(strCat(NULL,"Hallo "), "Welt");
#ifdef VERBOSE
  printf("str=%s, pointer=%p\n", str, str);
#endif
  assert(strcmp(str, "Hallo Welt") == 0);

  str = strCat("Hallo", NULL);
#ifdef VERBOSE
  printf("str=%s, pointer=%p\n", str, str);
#endif
  assert(strcmp(str, "Hallo") == 0);

  str = strCat(NULL, "Welt");
#ifdef VERBOSE
  printf("str=%s, pointer=%p\n", str, str);
#endif
  assert(strcmp(str, "Welt") == 0);

  str = strPrintf("Hello World ");
  assert(strcmp(str, "Hello World ") == 0);
  for (i = 0; i < 20; i++) {
    str = strCat(str, str);
#ifdef VERBOSE
    //printf("%s\n", str);
    printf("i=%d, len=%d, 24*2^n=%d\n", i, 
	strlen(str), (int)(24*pow(2,i)));
#endif
    assert(strlen(str) == 24*pow(2,i));
  }
  

  blahFinalize();
  return 0;
}
