# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
 & eval 'exec perl -S $0 $argv:q'
 if 0;

if ($0 =~ m/(.*)\/([^\/]*)/) {
    $dir = $1;
    $cmd = $2;
} else {
    $cmd = $0;
    $dir = ".";
}

require "getopts.pl";
&Getopts('n:');

die "Usage: $cmd -n VARNAME file...\n"
  if !defined($opt_n);

printf "char *%s[]={\n", $opt_n;

if (!open(F, "cvs status @ARGV 2> /dev/null |"))
  {
    printf STDERR "Cannot run cvs status: %s\n", $!;
    exit 1;
  }

$file=$wr=$rr=$status=$date="";

while ($l=<F>)
  {
    if ($l =~ m/^File:\s+(.*)\s+Status:\s+(.*)$/)
      {
	$file=$1;
	$status=$2;
      }
    elsif ($l =~ m/Working revision:\s+([\d\.]+)\s+(.*)$/ )
      {
	$wr=$1;
	$date=$2;

	if ($status eq "Up-to-date" ||
	    $status eq "Locally Modified" ||
	    $status eq "Needs Patch" ||
	    $status eq "Needs Merge")
	  {
	    printf "  \"%-24s %-16s %-10s %s\",\n", $file, $status, $wr, $date;
	  }
	else
	  {
	    printf STDERR "File \"%s\" has unknown status \"%s\".\n",
	      $file, $status;
	  }
	$file=$wr=$rr=$status=$date="";
      }
    elsif ($l =~ m/Repository revision:\s*(.*)$/ )
      {
	$rr=$1;
      }
    else
      {
	# printf STDERR $l;
      }
  }
close(F);

printf "\n  (char *)0\n};\n";
