# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

## ----------------------------------------------------------------------------
## FlatButton - a flatened pushbutton.
## This is just a button with a more KDEish look and feel mainly used in
## the toolbars.
##
## \author Michael Daum
##
## $Id: FlatButton.tcl,v 1.11 2005-12-01 16:23:26 micha Exp $
## ----------------------------------------------------------------------------

## ----------------------------------------------------------------------------
class FlatButton {
  inherit itk::Widget

  #public variable balloonstr ""

  constructor {args} {}; ## \type TclList
};

## ----------------------------------------------------------------------------
## constructor
## ----------------------------------------------------------------------------
body FlatButton::constructor {args} {

  itk_component add button {
    button $itk_interior.button
  } {
    usual
    keep -state -command -image -relief -background -foreground
  }

  bind $itk_component(button) <Enter> {%W configure -relief raised}
  bind $itk_component(button) <Leave> {%W configure -relief flat}

  eval itk_initialize $args
  pack $itk_component(button) -fill both -expand 1
  $itk_component(button) configure -relief flat \
}

