# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

## ----------------------------------------------------------------------------
## YadaAbout - display the about screen.
##
## \author Michael Daum
##
## $Id: YadaAbout.tcl,v 1.9 2005-12-01 16:23:26 micha Exp $
## ----------------------------------------------------------------------------
class YadaAbout {
  inherit iwidgets::Dialog

  constructor {args} {}; ## \type TclList
};

## ----------------------------------------------------------------------------
## constructor
## ----------------------------------------------------------------------------
body YadaAbout::constructor {args} {
  configure \
	-modality application \
	-title "Yada - About" \
	-master .

  hide Apply
  hide Cancel
  hide Help

  set logo [YadaImages::get logo]
  set height [image height $logo]
  set width [image width $logo]
  set childsite [childsite]

  itk_component add f1 {
    frame $childsite.f1
  }

  itk_component add canvas {
    canvas $childsite.canvas -height $height -width $width
  }

  itk_component add f2 {
    frame $childsite.f2
  }

  $itk_component(canvas) create image 0 0 -image $logo -anchor nw -tag logo
  pack $itk_component(f1) \
       $itk_component(canvas) \
       $itk_component(f2) -side top -anchor center -fill y  -expand 1

  eval itk_initialize $args
}
