# Copyright (C) 2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

## ----------------------------------------------------------------------------
## YadaLogDialog - a dialog with a text output widget in it.
##
## \author Michael Daum
##
## $Id: YadaLogDialog.tcl,v 1.3 2005-12-01 16:23:27 micha Exp $
## ----------------------------------------------------------------------------
class YadaLogDialog {
  inherit iwidgets::Shell

  # variables ----------------------------------------------------------------
  
  # methods ------------------------------------------------------------------
  constructor {args} {}; ## \type TclList

  public method autotag {pattern args}; ## \type TclString, TclList
  public method print {message}; ## \type TclString
  public method clear {}
  public method see {args}; ## \type TclList
}

## ----------------------------------------------------------------------------
## constructor
## ----------------------------------------------------------------------------
body YadaLogDialog::constructor {args} {

  set childsite [childsite]

  itk_component add yadaLog {
    YadaLog $childsite.yadaLog \
	    -hscrollmode dynamic \
	    -wrap none \
	    -borderwidth 2 \
	    -sbwidth 12 \
	    -troughcolor gray \
	    -textbackground gray90 \
	    -textfont {-misc-fixed-medium-normal-semicondensed-*-13-*-*-*-*-*-*-*}
  } {
    keep -textfont -textbackground -hscrollmode -wrap
  }

  pack $itk_component(yadaLog) -side top -expand 1 -fill both -padx 5 -pady 5
  deactivate

  eval itk_initialize $args

  wm protocol $itk_component(hull) WM_DELETE_WINDOW \
    [code ::itcl::delete object $this]
}

## ----------------------------------------------------------------------------
## redirect to the YadaLog component
## ----------------------------------------------------------------------------
body YadaLogDialog::autotag {pattern args} {
  eval $itk_component(yadaLog) autotag $pattern $args
}

## ----------------------------------------------------------------------------
## redirect to the YadaLog component
## ----------------------------------------------------------------------------
body YadaLogDialog::print {message} {
  $itk_component(yadaLog) print $message
}

## ----------------------------------------------------------------------------
## redirect to the YadaLog component
## ----------------------------------------------------------------------------
body YadaLogDialog::clear {} {
  $itk_component(yadaLog) clear
}

## ----------------------------------------------------------------------------
## redirect to the YadaLog component
## ----------------------------------------------------------------------------
body YadaLogDialog::see {args} {
  eval $itk_component(yadaLog) see $args
}
